Subject: [bug#75518] Request for merging "core-packages-team" branch

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 18 Jan 2025 17:49:53 +0100

Ludovic Courtès writes:

Hi!

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> Cuirass says we're at 81% success rate for i686-linux and x86_64-linux,
>> and possibly my #74676, meant as an old style "please help with the
>> gcc-14 transition", should have been named "Request for merging" already
>> anyway.  Hard to keep up with all the changes but more formality is a
>> good thing I guess :)
>
> I’m testing the patch below to upgrade glibc to 2.40 (I’m at
> ‘gcc-mesboot-4.9.4’ so there are still quite a few hours before I get
> around to building glibc).

Oh, I didn't realise 2.40 was out already!

> I think we must upgrade glibc in this branch because (1) we want to get
> rid of this graft and more generally get the latest fixes, and (2) we
> cannot just ungraft since the graft uses ‘git-fetch’, which cannot be
> relied on in ‘commencement.scm’ (we still assume that
> ‘builtin:git-download’ may be unavailable, and when it’s unavailable, we
> have a circular dependency).
>
> Thoughts?

That would be lovely, especially if it builds :)

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com